Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.applet
Class AppletCommunicationTool

    java.lang.Object
      ix.applet.AppletCommunicationTool

    public class AppletCommunicationTool

extends java.lang.Object

The user interface to an `AppletCommunicationStrategy`.

Nested Class Summary
`static class` | `AppletCommunicationTool.Controller` A `ToolController` for an `AppletCommunicationTool`.
`protected class` | `AppletCommunicationTool.ToolFrame` A simple GUI.

Field Summary
`(package private) AppletCommunicationTool.ToolFrame` | `frame`
`(package private) AppletCommunicationStrategy` | `strategy`

Constructor Summary
`AppletCommunicationTool(AppletCommunicationStrategy strategy)`

Method Summary
`(package private) void` | `needToReregister()`
`(package private) void` | `register()`
`void` | `setVisible(boolean v)`
`(package private) java.lang.String` | `showInputDialog(java.awt.Component parent, java.lang.Object message, java.lang.Object initialSelectionValue)`
`(package private) void` | `transcript(java.lang.String line)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### strategy

    AppletCommunicationStrategy strategy

### frame

    AppletCommunicationTool.ToolFrame frame

Constructor Detail

### AppletCommunicationTool

    public AppletCommunicationTool(AppletCommunicationStrategy strategy)

Method Detail

### setVisible

    public void setVisible(boolean v)

### register

    void register()

### showInputDialog

    java.lang.String showInputDialog(java.awt.Component parent,
                                     java.lang.Object message,
                                     java.lang.Object initialSelectionValue)

### needToReregister

    void needToReregister()

### transcript

    void transcript(java.lang.String line)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD